/* base settings
-------------------------------*/
:root {
	--base_distance: min(200px , 20vw);
	--base_gap: clamp(12px , 2vw , 20px);
	--base_wrap_width: 70vw;
	--base_font_size: clamp(14px , 2vw , 16px);
	--base_line_height: 1.7em;
	--base_border_radius:clamp( 4px , 1vw , 8px);
}
@media only screen and (max-width: 835px){
	:root {
		--base_wrap_width: 80vw;
	}
}

/* color settings
-------------------------------*/
:root {
	--c_theme_color:#4a7ab5;
	--c_bg_color:#cae0ed;
	--c_font_color:#000000;
	--c_link_color:#3ED6ED;
	--c_white_l: #ffffff;
	--c_white:#fcfcfc;
	--c_gray_l:#e7e7e7;
	--c_gray:#9B9B9B;
	--c_gray_d: #707070;
	--c_black:#191919;
	--c_black_d:#000;

	/* 
	--c_red : #ff0000;
	--c_green : #00ff00;
	--c_blue : #0000ff; 
	*/
}

/* font family settings
-------------------------------*/
:root {
	--font_base_setting : "Noto Serif JP", 'Noto Sans', "メイリオ","Meiryo","MS PGothic",serif;
	--f_noto : "Noto Serif JP", 'Noto Sans', "メイリオ","Meiryo","MS PGothic",sans-serif;
	--f_hiragino : "Helvetica Neue", Arial , "Hiragino Kaku Gothic ProN","Hiragino Sans" , Meiryo , sans-serif;

	--f_01 : "GFS Didot", "Noto Serif JP", serif;
	/* --f_■■■■■■■ : ■■■■■■■ , 'Noto Sans JP', 'Noto Sans', "メイリオ","Meiryo","MS PGothic",sans-serif; */
}

/* z-index
-------------------------------*/
:root {
	--z_loading:20000;
	--z_page_fade:15000;
	--z_modal:11000;
	--z_header_logo: 9999;
	--z_nav_trigger: 9998;
	--z_nav:9997;
	--z_sub_nav: 9996;
	--z_index_btn: 9996;
	--z_frame: 9995;
}

/* easing
-------------------------------*/
:root {
	--easeOutCubic: cubic-bezier(0.33, 1, 0.68, 1);
	--easeOutQuint: cubic-bezier(0.22, 1, 0.36, 1);
	--easeOutSuperQuint: cubic-bezier(0, 1.04, 0.14, 1);
	--easeOutCirc: cubic-bezier(0, 0.55, 0.45, 1);
	--easeInCubic: cubic-bezier(0.32, 0, 0.67, 0);
	--easeInQuint: cubic-bezier(0.64, 0, 0.78, 0);
	--easeInCirc: cubic-bezier(0.55, 0, 1, 0.45);
	--easeInOutQuint: cubic-bezier(0.83, 0, 0.17, 1);
	--easeInOutCirc: cubic-bezier(0.85, 0, 0.15, 1);
	--easeInOutCubic: cubic-bezier(0.65, 0, 0.35, 1);
	--easeInOutBack: cubic-bezier(0.68, -0.6, 0.32, 1.6);
}